Subject: N900 sleep mode (in 4.5-rc0, if that matters)

From: [email-masked] (Tony Lindgren)
Date: Wed, 30 Mar 2016 12:12:09 -0700

* Pavel Machek <[email-masked]> [160323 05:38]:
> 
> Ok, another attempt at shutting USB down:
> 
> 00001fff 48005020 (fa005020) cm_idlest_per blocking bits: 0007e000
> f7dffe9d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00200062
> 0000000d 48004a28 (fa004a28) cm_idlest3_core
> 
> Tried again today:
> 
> 00001fff 48005020 (fa005020) cm_idlest_per blocking bits: 0007e000
> f7dffe9d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00200062
> 0000000d 48004a28 (fa004a28) cm_idlest3_core
> pavel at n900:/my/tui/ofone$ sleep test
> 
> 00001fff 48005020 (fa005020) cm_idlest_per blocking bits: 0007e000
> ffde7e9d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00218062
> 0000000d 48004a28 (fa004a28) cm_idlest3_core
> 
> 00001fff 48005020 (fa005020) cm_idlest_per blocking bits: 0007e000
> fedffe9d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 01200062
> 0000000d 48004a28 (fa004a28) cm_idlest3_core
> 
> 00001fff 48005020 (fa005020) cm_idlest_per blocking bits: 0007e000
> ffde7e9d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00218062
> 0000000d 48004a28 (fa004a28) cm_idlest3_core
> 
> Is there documentation for the cm_idlest1_ bits?

Yes, see the TRM.

> How idle system do I need to have? Screen is blanked and machine
> should be mostly idle, but there's X running on another vt with Mate
> desktop, and some python scripts... GSM modem should be online.

Well I think it's the USB only you have blocking deeper idle states.

Are you sure you rmmod:ed all the USB related modules like in my
test script?

MUSB currently has an unresolved issue where it blocks idle states
if loaded.

> Are you booting over USB from NOLO?

I'm booting over smc91x using u-boot.

Regards,

Tony